import * as React from 'react';
import { PaneDragActionType } from "./PaneDragActionType";
import { IgrDockManagerPoint } from "./igr-dock-manager-point";
import { IgrPaneDragAction, IIgrPaneDragActionProps } from "./igr-pane-drag-action";
import { FloatPaneAction } from "./FloatPaneAction";
export declare class IgrFloatPaneAction extends IgrPaneDragAction<IIgrFloatPaneActionProps & React.HTMLAttributes<HTMLElement>> {
    protected createImplementation(): FloatPaneAction;
    /**
                                 * @hidden
                                 */
    get i(): FloatPaneAction;
    constructor(props: IIgrFloatPaneActionProps & React.HTMLAttributes<HTMLElement>);
    get type(): PaneDragActionType;
    set type(v: PaneDragActionType);
    get location(): IgrDockManagerPoint;
    set location(v: IgrDockManagerPoint);
    get width(): number;
    set width(v: number);
    get height(): number;
    set height(v: number);
    findByName(name: string): any;
    setNativeElement(element: any): void;
}
export interface IIgrFloatPaneActionProps extends IIgrPaneDragActionProps {
    type?: PaneDragActionType | string;
    location?: IgrDockManagerPoint;
    width?: number | string;
    height?: number | string;
}
