import * as React from 'react';
import { IgrBaseOptionLike, IIgrBaseOptionLikeProps } from "./igr-base-option-like";
import { DropdownItem } from "./DropdownItem";
/**
 * Represents an item in a dropdown list.
*/
export declare class IgrDropdownItem extends IgrBaseOptionLike<IIgrDropdownItemProps & React.HTMLAttributes<HTMLElement>> {
    protected createImplementation(): DropdownItem;
    /**
                                 * @hidden
                                 */
    get i(): DropdownItem;
    constructor(props: IIgrDropdownItemProps & React.HTMLAttributes<HTMLElement>);
    componentDidMount(): void;
    render(): React.DOMElement<any, Element>;
    protected _elRef: HTMLElement;
    protected _getMainRef(ref: any): void;
}
export interface IIgrDropdownItemProps extends IIgrBaseOptionLikeProps {
}
